Ethiack Docs
Event scope

List Event Assets

GET
/v1/events/{event_slug}/scope/assets/

Retrieves all assets associated with a specific event's scope, with pagination and optional filtering.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event whose assets are being queried.

Query Parameters

in_scope?boolean

Filter assets by in-scope status

asset_id?integer

Filter assets by ID

page?integer

Page number

per_page?integer

Number of assets per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/events/string/scope/assets/"
{
  "assets": [
    {
      "id": 0,
      "value": "string",
      "type": "string",
      "in_scope": true,
      "private": null,
      "description": null,
      "wildcard": null,
      "beacon_id": null,
      "attachment_url": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}